package danefx;

import java.net.URL;
import java.util.ResourceBundle;
import javafx.application.Platform;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.PropertyValueFactory;


public class FXMLDocumentController implements Initializable {
    // deklaracje obiektów
    @FXML private TableView<Seria> tabela;
    @FXML private TableColumn<Seria, String> nazwaColumn;
    @FXML private TableColumn<Seria, Double> sredniaColumn;
    
    @FXML
    private void zamknijAplikacjeAction(ActionEvent event) {
         Platform.exit();      
    } 

    
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        // Tworzenie listy i wypełnienie jej danymi
        ObservableList<Seria> dane = FXCollections.observableArrayList(
            new Seria("seria 1", 2.3),
            new Seria("seria 2", 2.7),
            new Seria("seria 3", 3.0),
            new Seria("seria 4", 4.1),
            new Seria("seria 5", 2.0)
        );
        
        // Ustawienie danych dla tabeli
        tabela.itemsProperty().setValue(dane);
         
        // Powiązanie pierwszej kolumny z polem nazwa obiektu typu Seria
        nazwaColumn.setCellValueFactory(
                new PropertyValueFactory<Seria, String>("nazwa")
        );
        
        // Powiązanie drugiej kolumny z polem nazwa obiektu typu Seria
        sredniaColumn.setCellValueFactory(
                new PropertyValueFactory<Seria, Double>("srednia")
        );
        
    }    
    
}      